# D

## damage\_armor（触发技能）

该技能作用是消耗对象的盔甲的耐久。

```
- id: damage_armor
  args:
    damage: 1
```

其中：

* args.damage：消耗的耐久值。

## damage\_multiplier（触发技能）

该技能作用是加倍玩家的原版伤害属性。

```
- id: damage_multiplier
  args:
    multiplier: 0.5
```

其中：

* args.multiplier：加倍值。

## damage\_nearby\_entities（触发技能）

该技能作用是对附近的对象造成范围伤害。

```
- id: damage_nearby_entities
  args:
    damage: 2
    radius: 5
    entities:
      - spider
      - cave_spider
    damage_as_player: false
    damage_self: false
```

其中：

* args.damage：伤害值。
* args.radius：伤害半径。
* args.entities：技能作用的实体类型。如不存在此参数，将会作用于所有实体类型。
* args.damage\_as\_player：伤害是否算由玩家造成的。**如果填写 `true`，那么攻击触发器将会被重复触发，慎重使用。同时其他插件也会因此判断这些范围伤害都是由玩家造成的，如果你安装了类似 mcmmo 这些以玩家伤害增加技能经验值等插件，会造成玩家一次范围伤害直接获取大量经验值！**
* args.damage\_self：是否伤害到玩家自己。

## damage\_victim（触发技能）

该技能作用是对对象造成指定数额伤害。不同于物品自身的伤害，这里设置的伤害不会受到附魔等物品自身伤害增益的影响。

```
- id: damage_victim
  args:
    damage: 10.4 
    use_source: false
```

其中：

* args.damage：伤害值。
* args.use\_source：是否算玩家为攻击来源。如果填写为 `false`，那么力量效果，其他插件的增益 Buff 等也不会影响该伤害的数值。

## drill（触发技能）

该技能的作用是挖掘与指定方块相连的所有同类型方块。

```
- id: drill
  args:
    amount: 4
    blacklisted_blocks:
      - obsidian
    check_hardness: true
    disable_on_sneak: true
    whitelist: []
```

其中：

* args.amount：挖掘的方块最多数量。
* args.blacklisted\_blocks：挖掘的方块黑名单列表，该列表内方块不会被挖掘。
* args.check\_hardness：是否检查方块硬度，例如这样玩家无法使用木镐通过该技能挖掘钻石矿了。
* args.disable\_on\_sneak：是否在玩家潜行时禁用该技能。
* args.whitelist：挖掘的方块白名单列表，该列表内的方块才会被挖掘。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/ji-neng-lie-biao/d.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
